diff --git a/pgadmin/frm/frmQuery.cpp b/pgadmin/frm/frmQuery.cpp
index a474aa2..23ec45b 100644
--- a/pgadmin/frm/frmQuery.cpp
+++ b/pgadmin/frm/frmQuery.cpp
@@ -700,6 +700,9 @@ frmQuery::~frmQuery()
 
 	if (mainForm)
 		mainForm->RemoveFrame(this);
+
+	if (macros)
+		delete macros;
 }
 
 
diff --git a/pgadmin/gqb/gqbModel.cpp b/pgadmin/gqb/gqbModel.cpp
index e360912..6971ff7 100644
--- a/pgadmin/gqb/gqbModel.cpp
+++ b/pgadmin/gqb/gqbModel.cpp
@@ -42,6 +42,8 @@ gqbModel::~gqbModel()
 		delete columnsAlias;
 
 	//GQB-TODO: delete restrictions
+	if(restrictions)
+		delete restrictions;
 }
 
 
diff --git a/pgadmin/gqb/gqbView.cpp b/pgadmin/gqb/gqbView.cpp
index b5ca6e0..78cde04 100644
--- a/pgadmin/gqb/gqbView.cpp
+++ b/pgadmin/gqb/gqbView.cpp
@@ -129,6 +129,12 @@ gqbView::~gqbView()
 
 	if (m_gqbPopup)
 		delete m_gqbPopup;
+
+	if(orderByRGridTable)
+		delete orderByRGridTable;
+
+	if(orderByLGridTable)
+		delete orderByLGridTable;
 }
 
 
diff --git a/pgadmin/ogl/canvas.cpp b/pgadmin/ogl/canvas.cpp
index 0d48ab9..d8c518a 100644
--- a/pgadmin/ogl/canvas.cpp
+++ b/pgadmin/ogl/canvas.cpp
@@ -67,6 +67,8 @@ wxShapeCanvas::wxShapeCanvas(wxWindow *parent, wxWindowID id,
 
 wxShapeCanvas::~wxShapeCanvas()
 {
+	if(m_shapeDiagram)
+		delete m_shapeDiagram;
 }
 
 #if OGL_USE_BUFFERED_PAINT
